### Function

# Pango AttrFontDesc new

#### Declaration [src]

    PangoAttribute*
    pango_attr_font_desc_new (
      const PangoFontDescription* desc
    )

#### Description [src]

Create a new font description attribute.

This attribute allows setting family, style, weight, variant, stretch, and size simultaneously.

#### Parameters

`desc`

  Type: `PangoFontDescription`

  The font description.

  The data is owned by the caller of the function.

#### Return value

Type: `PangoAttribute`

The newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.